fuzzydl

## Class ConcreteFeature

- java.lang.Object
- - fuzzydl.ConcreteFeature

-     public class ConcreteFeature
      extends java.lang.Object

  Functional concrete feature with a range string, integer or real.
  Author:
    Fernando Bobillo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BOOLEAN`
    `static int` | `INTEGER`
    `static int` | `REAL`
    `static int` | `STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcreteFeature(java.lang.String name)` Constructor for strings.
    `ConcreteFeature(java.lang.String name, boolean isBoolean)` Constructor for strings and booleans.
    `ConcreteFeature(java.lang.String name, java.lang.Double k1, java.lang.Double k2)` Constructor for reals.
    `ConcreteFeature(java.lang.String name, java.lang.Integer k1, java.lang.Integer k2)` Constructor for integers.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getK1()` Gets the lower bound for the range.
    `java.lang.Object` | `getK2()` Gets the upper bound for the range.
    `java.lang.String` | `getName()` Gets the name.
    `int` | `getType()` Gets the type of the feature.
    `void` | `setRange(java.lang.Object k1, java.lang.Object k2)` Sets the range of the feature.
    `void` | `setType(int newType)` Sets the type of the feature.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STRING

          public static final int STRING

      See Also:
        Constant Field Values

    - #### INTEGER

          public static final int INTEGER

      See Also:
        Constant Field Values

    - #### REAL

          public static final int REAL

      See Also:
        Constant Field Values

    - #### BOOLEAN

          public static final int BOOLEAN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConcreteFeature

          public ConcreteFeature(java.lang.String name)

      Constructor for strings.
      Parameters:
        `name` - Name of the feature.

    - #### ConcreteFeature

          public ConcreteFeature(java.lang.String name,
                                 boolean isBoolean)

      Constructor for strings and booleans.
      Parameters:
        `name` - Name of the feature.
        `isBoolean` - true if the range is boolean; false if the range is string.

    - #### ConcreteFeature

          public ConcreteFeature(java.lang.String name,
                                 java.lang.Integer k1,
                                 java.lang.Integer k2)

      Constructor for integers.
      Parameters:
        `name` - Name of the feature.
        `k1` - Lower bound for the range.
        `k2` - Upper bound for the range.

    - #### ConcreteFeature

          public ConcreteFeature(java.lang.String name,
                                 java.lang.Double k1,
                                 java.lang.Double k2)

      Constructor for reals.
      Parameters:
        `name` - Name of the feature.
        `k1` - Lower bound for the range.
        `k2` - Upper bound for the range.

  - ### Method Detail

    - #### getType

          public int getType()

      Gets the type of the feature.
      Returns:
        Type of the feature.

    - #### setType

          public void setType(int newType)

      Sets the type of the feature.
      Parameters:
        `newType` - Type of the feature.

    - #### getK1

          public java.lang.Object getK1()

      Gets the lower bound for the range.
      Returns:
        Lower bound for the range.

    - #### getK2

          public java.lang.Object getK2()

      Gets the upper bound for the range.
      Returns:
        Upper bound for the range.

    - #### setRange

          public void setRange(java.lang.Object k1,
                               java.lang.Object k2)

      Sets the range of the feature.
      Parameters:
        `k1` - Lower bound for the range.
        `k2` - Upper bound for the range.

    - #### getName

          public java.lang.String getName()

      Gets the name.
      Returns:
        Name.